# Gimp.context_set_transform_resize

    function context_set_transform_resize(transform_resize: Gimp.TransformResize): Boolean {
        // Gjs wrapper for gimp_context_set_transform_resize()
    }

Set the transform resize type.

Modifies the transform resize setting. When transforming pixels, if the result of a transform operation has a different size than the original area, this setting determines how the resulting area is sized.

This setting affects affects the following procedures: Gimp.Item.prototype.transform_flip, Gimp.Item.prototype.transform_flip_simple, Gimp.Item.prototype.transform_perspective, Gimp.Item.prototype.transform_rotate, Gimp.Item.prototype.transform_rotate_simple, Gimp.Item.prototype.transform_scale, Gimp.Item.prototype.transform_shear, Gimp.Item.prototype.transform_2d, Gimp.Item.prototype.transform_matrix.

Since 2.8

transform_resize

  The transform resize type.

Returns

  TRUE on success.